﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Controls.Grids.Primitives;
using System.Windows.Data;
using Infragistics;

namespace XamGridSummaryToolTip
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<Person> data = new ObservableCollection<Person>();
            for (int i = 0; i < 100; i++)
            {
                data.Add(new Person() { Name = i, Age = i * 10 });
            }
            this.DataContext = data;  
            
        }        
    }    

    public class Person : INotifyPropertyChanged
    {
        private int age;

        public int Age
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
                NotifyPropertyChanged("Age");
            }
        }

        public int Name { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                double result = 0;
                ReadOnlyCollection<SummaryResult> col = (value as ReadOnlyCollection<SummaryResult>);
                foreach (var item in col)
                {
                    result += Double.Parse(col[0].Value.ToString());
                }
                return "Total sum: " + result;
            }
            return "";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}